package	jp.co.sds_corp.hibiya.threshold;

import java.io.Serializable;

import jp.co.sds_corp.hibiya.server.IChecker;
import jp.co.sds_corp.util.config.IConfigSavable;
import jp.co.sds_corp.util.config.IConfigurable;

/**
* イベント発生の閾値を定義するクラスのためのインターフェースです。
*/
public interface IThreshold extends IConfigurable, IConfigSavable, Serializable
{
	/**
	* 状態を取得します。
	* @return	状態
	*/
	public IChecker.Status getCheckerStatus( IChecker chk );

	/**
	* 処理メッセージを設定します。
	* @param	var		設定するデータ
	*/
	public void setMessage( String var );
	/**
	* 処理メッセージを取得します。
	* @return	処理メッセージ
	*/
	public String getMessage();

	/**
	* スクリプトを設定します。
	* @param	var		設定するスクリプト
	*/
	public void setScript( String var );
	/**
	* スクリプトを取得します。
	* @return	スクリプト
	*/
	public String getScript();

}
