package	jp.co.sds_corp.hibiya.action;

import java.io.Serializable;

import jp.co.sds_corp.hibiya.filter.IFilter;
import jp.co.sds_corp.hibiya.layout.ILayout;
import jp.co.sds_corp.hibiya.server.CheckerChangeEvent;
import jp.co.sds_corp.util.config.IConfigSavable;
import jp.co.sds_corp.util.config.IConfigurable;

/**
* アクションを定義するインターフェースです。
*/
public interface IAction extends IConfigurable, IConfigSavable, Serializable
{
	/**
	* アクションを実行します。
	*/
	public void action( CheckerChangeEvent ev );

	/**
	* 設定内容の文字列表現を取得します。
	*/
	public String paramString();

	/**
	* イベントをフィルタするIFilter(filter)を設定します。
	* @param	var		設定するデータ
	*/
	public void setFilter( IFilter var );
	/**
	* イベントをフィルタするIFilter(filter)を取得します。
	* @return	layoutの内容
	*/
	public IFilter getFilter();

	/**
	* このアクションが有効であるかどうかを返します。
	* @return   このアクションが有効であるかどうか
	*/
	public boolean isValid();

	/**
	* このフィルタの有効であるかどうかを設定します。
	* @param    var     有効フラグ
	*/
	public void setValid( boolean var );

	/**
	* イベントをフォーマットするILayout(layout)を設定します。
	* @param	var		設定するデータ
	*/
	public void setLayout( ILayout var );
	/**
	* イベントをフォーマットするILayout(layout)を取得します。
	* @return	layoutの内容
	*/
	public ILayout getLayout();

}
